SDL_Timer Struct Reference
Collaboration diagram for SDL_Timer:
[legend]

## Data Fields

int | timerID
SDL_TimerCallback | callback
void * | param
Uint32 | interval
Uint32 | scheduled
SDL_atomic_t | canceled
struct _SDL_Timer * | next

## Detailed Description

Definition at line 31 of file SDL_timer.c.

## Field Documentation

## callback

SDL_TimerCallback SDL_Timer::callback

Definition at line 34 of file SDL_timer.c.

Referenced by SDL_AddTimer(), and SDL_TimerThread().

## canceled

SDL_atomic_t SDL_Timer::canceled

Definition at line 38 of file SDL_timer.c.

Referenced by SDL_AddTimer(), SDL_RemoveTimer(), and SDL_TimerThread().

## interval

Uint32 SDL_Timer::interval

Definition at line 36 of file SDL_timer.c.

Referenced by SDL_AddTimer(), and SDL_TimerThread().

## next

struct _SDL_Timer* SDL_Timer::next

Definition at line 39 of file SDL_timer.c.

Referenced by SDL_AddTimer(), SDL_AddTimerInternal(), SDL_TimerQuit(), and SDL_TimerThread().

## param

void* SDL_Timer::param

Definition at line 35 of file SDL_timer.c.

Referenced by SDL_AddTimer(), and SDL_TimerThread().

## scheduled

Uint32 SDL_Timer::scheduled

Definition at line 37 of file SDL_timer.c.

Referenced by SDL_AddTimer(), SDL_AddTimerInternal(), and SDL_TimerThread().

## timerID

int SDL_Timer::timerID

Definition at line 33 of file SDL_timer.c.

Referenced by SDL_AddTimer().

The documentation for this struct was generated from the following file:

- src/timer/SDL_timer.c